package com.myapps.kafka.model.dos;

import com.fasterxml.jackson.annotation.JsonProperty;

public class AuditTrail {
    @JsonProperty("SESSIONID")
    private NumericField sessionId;

    @JsonProperty("ENTRYID")
    private NumericField entryId;

    @JsonProperty("STATEMENT")
    private NumericField statement;

    @JsonProperty("TIMESTAMP#")
    private String timestamp;

    @JsonProperty("USERID")
    private String userId;

    @JsonProperty("USERHOST")
    private String userHost;

    @JsonProperty("TERMINAL")
    private String terminal;

    @JsonProperty("ACTION#")
    private NumericField action;

    @JsonProperty("RETURNCODE")
    private NumericField returnCode;

    @JsonProperty("OBJ$CREATOR")
    private String objectCreator;

    @JsonProperty("OBJ$NAME")
    private String objectName;

    @JsonProperty("AUTH$PRIVILEGES")
    private String authPrivileges;

    @JsonProperty("AUTH$GRANTEE")
    private String authGrantee;

    @JsonProperty("SPARE1")
    private String spare1;

    @JsonProperty("SQLBIND")
    private String sqlBind;

    @JsonProperty("SQLTEXT")
    private String sqlText;

    @JsonProperty("NTIMESTAMP#")
    private Long nTimestamp;

    @JsonProperty("PROCESS#")
    private String process;

    @JsonProperty("INSTANCE#")
    private NumericField instance;

    @JsonProperty("SCN")
    private NumericField scn;

    @JsonProperty("DBID")
    private NumericField dbid;

    @JsonProperty("CURRENT_USER")
    private String currentUser;

    public NumericField getSessionId() {
        return sessionId;
    }

    public void setSessionId(NumericField sessionId) {
        this.sessionId = sessionId;
    }

    public NumericField getEntryId() {
        return entryId;
    }

    public void setEntryId(NumericField entryId) {
        this.entryId = entryId;
    }

    public NumericField getStatement() {
        return statement;
    }

    public void setStatement(NumericField statement) {
        this.statement = statement;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserHost() {
        return userHost;
    }

    public void setUserHost(String userHost) {
        this.userHost = userHost;
    }

    public String getTerminal() {
        return terminal;
    }

    public void setTerminal(String terminal) {
        this.terminal = terminal;
    }

    public NumericField getAction() {
        return action;
    }

    public void setAction(NumericField action) {
        this.action = action;
    }

    public NumericField getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(NumericField returnCode) {
        this.returnCode = returnCode;
    }

    public String getObjectCreator() {
        return objectCreator;
    }

    public void setObjectCreator(String objectCreator) {
        this.objectCreator = objectCreator;
    }

    public String getObjectName() {
        return objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public String getAuthPrivileges() {
        return authPrivileges;
    }

    public void setAuthPrivileges(String authPrivileges) {
        this.authPrivileges = authPrivileges;
    }

    public String getAuthGrantee() {
        return authGrantee;
    }

    public void setAuthGrantee(String authGrantee) {
        this.authGrantee = authGrantee;
    }

    public String getSpare1() {
        return spare1;
    }

    public void setSpare1(String spare1) {
        this.spare1 = spare1;
    }

    public String getSqlBind() {
        return sqlBind;
    }

    public void setSqlBind(String sqlBind) {
        this.sqlBind = sqlBind;
    }

    public String getSqlText() {
        return sqlText;
    }

    public void setSqlText(String sqlText) {
        this.sqlText = sqlText;
    }

    public Long getnTimestamp() {
        return nTimestamp;
    }

    public void setnTimestamp(Long nTimestamp) {
        this.nTimestamp = nTimestamp;
    }

    public String getProcess() {
        return process;
    }

    public void setProcess(String process) {
        this.process = process;
    }

    public NumericField getInstance() {
        return instance;
    }

    public void setInstance(NumericField instance) {
        this.instance = instance;
    }

    public NumericField getScn() {
        return scn;
    }

    public void setScn(NumericField scn) {
        this.scn = scn;
    }

    public NumericField getDbid() {
        return dbid;
    }

    public void setDbid(NumericField dbid) {
        this.dbid = dbid;
    }

    public String getCurrentUser() {
        return currentUser;
    }

    public void setCurrentUser(String currentUser) {
        this.currentUser = currentUser;
    }

    public AuditTrail() {
    }

    public AuditTrail(NumericField sessionId, NumericField entryId, NumericField statement, String timestamp, String userId, String userHost, String terminal, NumericField action, NumericField returnCode, String objectCreator, String objectName, String authPrivileges, String authGrantee, String spare1, String sqlBind, String sqlText, Long nTimestamp, String process, NumericField instance, NumericField scn, NumericField dbid, String currentUser) {
        this.sessionId = sessionId;
        this.entryId = entryId;
        this.statement = statement;
        this.timestamp = timestamp;
        this.userId = userId;
        this.userHost = userHost;
        this.terminal = terminal;
        this.action = action;
        this.returnCode = returnCode;
        this.objectCreator = objectCreator;
        this.objectName = objectName;
        this.authPrivileges = authPrivileges;
        this.authGrantee = authGrantee;
        this.spare1 = spare1;
        this.sqlBind = sqlBind;
        this.sqlText = sqlText;
        this.nTimestamp = nTimestamp;
        this.process = process;
        this.instance = instance;
        this.scn = scn;
        this.dbid = dbid;
        this.currentUser = currentUser;
    }
}
