package com.myapps.kafka.model.dos;


import com.fasterxml.jackson.annotation.JsonProperty;

public class DebeziumEvent {
    @JsonProperty("before")
    private AuditTrail before;

    @JsonProperty("after")
    private AuditTrail after;

    @JsonProperty("source")
    private DebeziumSource source;

    @JsonProperty("op")
    private String operation;

    @JsonProperty("ts_ms")
    private Long timestamp;


    public AuditTrail getBefore() {
        return before;
    }

    public void setBefore(AuditTrail before) {
        this.before = before;
    }

    public AuditTrail getAfter() {
        return after;
    }

    public void setAfter(AuditTrail after) {
        this.after = after;
    }

    public DebeziumSource getSource() {
        return source;
    }

    public void setSource(DebeziumSource source) {
        this.source = source;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    public DebeziumEvent() {
    }

    public DebeziumEvent(AuditTrail before, AuditTrail after, DebeziumSource source, String operation, Long timestamp) {
        this.before = before;
        this.after = after;
        this.source = source;
        this.operation = operation;
        this.timestamp = timestamp;
    }
}
