package com.myapps.kafka.model.tres;

import com.fasterxml.jackson.annotation.JsonProperty;

public class AuditData {
    @JsonProperty("SESSIONID")
    public ScaleValue sessionId;

    @JsonProperty("ENTRYID")
    public ScaleValue entryId;

    @JsonProperty("STATEMENT")
    public ScaleValue statement;

    @JsonProperty("TIMESTAMP#")
    public Object timestampHash;

    @JsonProperty("USERID")
    public String userId;

    @JsonProperty("USERHOST")
    public String userHost;

    @JsonProperty("TERMINAL")
    public String terminal;

    @JsonProperty("ACTION#")
    public ScaleValue actionHash;

    @JsonProperty("RETURNCODE")
    public ScaleValue returnCode;

    @JsonProperty("OBJ$CREATOR")
    public String objCreator;

    @JsonProperty("OBJ$NAME")
    public String objName;

    // Resto de campos manteniendo el patrón
    @JsonProperty("AUTH$PRIVILEGES")
    public Object authPrivileges;

    @JsonProperty("AUTH$GRANTEE")
    public Object authGrantee;

    @JsonProperty("NEW$OWNER")
    public Object newOwner;

    @JsonProperty("NEW$NAME")
    public Object newName;

    @JsonProperty("SES$ACTIONS")
    public Object sesActions;

    @JsonProperty("SES$TID")
    public Object sesTid;

    @JsonProperty("LOGOFF$LREAD")
    public Object logoffLread;

    @JsonProperty("LOGOFF$PREAD")
    public Object logoffPread;

    @JsonProperty("LOGOFF$LWRITE")
    public Object logoffLwrite;

    @JsonProperty("LOGOFF$DEAD")
    public Object logoffDead;

    @JsonProperty("LOGOFF$TIME")
    public Object logoffTime;

    @JsonProperty("COMMENT$TEXT")
    public Object commentText;

    @JsonProperty("CLIENTID")
    public Object clientId;

    @JsonProperty("SPARE1")
    public String spare1;

    @JsonProperty("SPARE2")
    public Object spare2;

    @JsonProperty("OBJ$LABEL")
    public Object objLabel;

    @JsonProperty("SES$LABEL")
    public Object sesLabel;

    @JsonProperty("PRIV$USED")
    public Object privUsed;

    @JsonProperty("SESSIONCPU")
    public Object sessionCpu;

    @JsonProperty("NTIMESTAMP#")
    public Long nTimestampHash;

    @JsonProperty("PROXY$SID")
    public Object proxySid;

    @JsonProperty("USER$GUID")
    public Object userGuid;

    @JsonProperty("INSTANCE#")
    public ScaleValue instanceHash;

    @JsonProperty("PROCESS#")
    public String processHash;

    @JsonProperty("XID")
    public String xid;

    @JsonProperty("AUDITID")
    public Object auditId;

    @JsonProperty("SCN")
    public ScaleValue scn;

    @JsonProperty("DBID")
    public ScaleValue dbId;

    @JsonProperty("SQLBIND")
    public String sqlBind;

    @JsonProperty("SQLTEXT")
    public String sqlText;

    @JsonProperty("OBJ$EDITION")
    public Object objEdition;

    @JsonProperty("RLS$INFO")
    public Object rlsInfo;

    @JsonProperty("CURRENT_USER")
    public String currentUser;


    public ScaleValue getSessionId() {
        return sessionId;
    }

    public void setSessionId(ScaleValue sessionId) {
        this.sessionId = sessionId;
    }

    public ScaleValue getEntryId() {
        return entryId;
    }

    public void setEntryId(ScaleValue entryId) {
        this.entryId = entryId;
    }

    public ScaleValue getStatement() {
        return statement;
    }

    public void setStatement(ScaleValue statement) {
        this.statement = statement;
    }

    public Object getTimestampHash() {
        return timestampHash;
    }

    public void setTimestampHash(Object timestampHash) {
        this.timestampHash = timestampHash;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserHost() {
        return userHost;
    }

    public void setUserHost(String userHost) {
        this.userHost = userHost;
    }

    public String getTerminal() {
        return terminal;
    }

    public void setTerminal(String terminal) {
        this.terminal = terminal;
    }

    public ScaleValue getActionHash() {
        return actionHash;
    }

    public void setActionHash(ScaleValue actionHash) {
        this.actionHash = actionHash;
    }

    public ScaleValue getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(ScaleValue returnCode) {
        this.returnCode = returnCode;
    }

    public String getObjCreator() {
        return objCreator;
    }

    public void setObjCreator(String objCreator) {
        this.objCreator = objCreator;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public Object getAuthPrivileges() {
        return authPrivileges;
    }

    public void setAuthPrivileges(Object authPrivileges) {
        this.authPrivileges = authPrivileges;
    }

    public Object getAuthGrantee() {
        return authGrantee;
    }

    public void setAuthGrantee(Object authGrantee) {
        this.authGrantee = authGrantee;
    }

    public Object getNewOwner() {
        return newOwner;
    }

    public void setNewOwner(Object newOwner) {
        this.newOwner = newOwner;
    }

    public Object getNewName() {
        return newName;
    }

    public void setNewName(Object newName) {
        this.newName = newName;
    }

    public Object getSesActions() {
        return sesActions;
    }

    public void setSesActions(Object sesActions) {
        this.sesActions = sesActions;
    }

    public Object getSesTid() {
        return sesTid;
    }

    public void setSesTid(Object sesTid) {
        this.sesTid = sesTid;
    }

    public Object getLogoffLread() {
        return logoffLread;
    }

    public void setLogoffLread(Object logoffLread) {
        this.logoffLread = logoffLread;
    }

    public Object getLogoffPread() {
        return logoffPread;
    }

    public void setLogoffPread(Object logoffPread) {
        this.logoffPread = logoffPread;
    }

    public Object getLogoffLwrite() {
        return logoffLwrite;
    }

    public void setLogoffLwrite(Object logoffLwrite) {
        this.logoffLwrite = logoffLwrite;
    }

    public Object getLogoffDead() {
        return logoffDead;
    }

    public void setLogoffDead(Object logoffDead) {
        this.logoffDead = logoffDead;
    }

    public Object getLogoffTime() {
        return logoffTime;
    }

    public void setLogoffTime(Object logoffTime) {
        this.logoffTime = logoffTime;
    }

    public Object getCommentText() {
        return commentText;
    }

    public void setCommentText(Object commentText) {
        this.commentText = commentText;
    }

    public Object getClientId() {
        return clientId;
    }

    public void setClientId(Object clientId) {
        this.clientId = clientId;
    }

    public String getSpare1() {
        return spare1;
    }

    public void setSpare1(String spare1) {
        this.spare1 = spare1;
    }

    public Object getSpare2() {
        return spare2;
    }

    public void setSpare2(Object spare2) {
        this.spare2 = spare2;
    }

    public Object getObjLabel() {
        return objLabel;
    }

    public void setObjLabel(Object objLabel) {
        this.objLabel = objLabel;
    }

    public Object getSesLabel() {
        return sesLabel;
    }

    public void setSesLabel(Object sesLabel) {
        this.sesLabel = sesLabel;
    }

    public Object getPrivUsed() {
        return privUsed;
    }

    public void setPrivUsed(Object privUsed) {
        this.privUsed = privUsed;
    }

    public Object getSessionCpu() {
        return sessionCpu;
    }

    public void setSessionCpu(Object sessionCpu) {
        this.sessionCpu = sessionCpu;
    }

    public Long getnTimestampHash() {
        return nTimestampHash;
    }

    public void setnTimestampHash(Long nTimestampHash) {
        this.nTimestampHash = nTimestampHash;
    }

    public Object getProxySid() {
        return proxySid;
    }

    public void setProxySid(Object proxySid) {
        this.proxySid = proxySid;
    }

    public Object getUserGuid() {
        return userGuid;
    }

    public void setUserGuid(Object userGuid) {
        this.userGuid = userGuid;
    }

    public ScaleValue getInstanceHash() {
        return instanceHash;
    }

    public void setInstanceHash(ScaleValue instanceHash) {
        this.instanceHash = instanceHash;
    }

    public String getProcessHash() {
        return processHash;
    }

    public void setProcessHash(String processHash) {
        this.processHash = processHash;
    }

    public String getXid() {
        return xid;
    }

    public void setXid(String xid) {
        this.xid = xid;
    }

    public Object getAuditId() {
        return auditId;
    }

    public void setAuditId(Object auditId) {
        this.auditId = auditId;
    }

    public ScaleValue getScn() {
        return scn;
    }

    public void setScn(ScaleValue scn) {
        this.scn = scn;
    }

    public ScaleValue getDbId() {
        return dbId;
    }

    public void setDbId(ScaleValue dbId) {
        this.dbId = dbId;
    }

    public String getSqlBind() {
        return sqlBind;
    }

    public void setSqlBind(String sqlBind) {
        this.sqlBind = sqlBind;
    }

    public String getSqlText() {
        return sqlText;
    }

    public void setSqlText(String sqlText) {
        this.sqlText = sqlText;
    }

    public Object getObjEdition() {
        return objEdition;
    }

    public void setObjEdition(Object objEdition) {
        this.objEdition = objEdition;
    }

    public Object getRlsInfo() {
        return rlsInfo;
    }

    public void setRlsInfo(Object rlsInfo) {
        this.rlsInfo = rlsInfo;
    }

    public String getCurrentUser() {
        return currentUser;
    }

    public void setCurrentUser(String currentUser) {
        this.currentUser = currentUser;
    }

    public AuditData() {
    }

    public AuditData(ScaleValue sessionId, ScaleValue entryId, ScaleValue statement, Object timestampHash, String userId, String userHost, String terminal, ScaleValue actionHash, ScaleValue returnCode, String objCreator, String objName, Object authPrivileges, Object authGrantee, Object newOwner, Object newName, Object sesActions, Object sesTid, Object logoffLread, Object logoffPread, Object logoffLwrite, Object logoffDead, Object logoffTime, Object commentText, Object clientId, String spare1, Object spare2, Object objLabel, Object sesLabel, Object privUsed, Object sessionCpu, Long nTimestampHash, Object proxySid, Object userGuid, ScaleValue instanceHash, String processHash, String xid, Object auditId, ScaleValue scn, ScaleValue dbId, String sqlBind, String sqlText, Object objEdition, Object rlsInfo, String currentUser) {
        this.sessionId = sessionId;
        this.entryId = entryId;
        this.statement = statement;
        this.timestampHash = timestampHash;
        this.userId = userId;
        this.userHost = userHost;
        this.terminal = terminal;
        this.actionHash = actionHash;
        this.returnCode = returnCode;
        this.objCreator = objCreator;
        this.objName = objName;
        this.authPrivileges = authPrivileges;
        this.authGrantee = authGrantee;
        this.newOwner = newOwner;
        this.newName = newName;
        this.sesActions = sesActions;
        this.sesTid = sesTid;
        this.logoffLread = logoffLread;
        this.logoffPread = logoffPread;
        this.logoffLwrite = logoffLwrite;
        this.logoffDead = logoffDead;
        this.logoffTime = logoffTime;
        this.commentText = commentText;
        this.clientId = clientId;
        this.spare1 = spare1;
        this.spare2 = spare2;
        this.objLabel = objLabel;
        this.sesLabel = sesLabel;
        this.privUsed = privUsed;
        this.sessionCpu = sessionCpu;
        this.nTimestampHash = nTimestampHash;
        this.proxySid = proxySid;
        this.userGuid = userGuid;
        this.instanceHash = instanceHash;
        this.processHash = processHash;
        this.xid = xid;
        this.auditId = auditId;
        this.scn = scn;
        this.dbId = dbId;
        this.sqlBind = sqlBind;
        this.sqlText = sqlText;
        this.objEdition = objEdition;
        this.rlsInfo = rlsInfo;
        this.currentUser = currentUser;
    }
}
