package com.myapps.kafka.model.tres;

import com.fasterxml.jackson.annotation.JsonProperty;

public class Source {
    @JsonProperty("version")
    public String version;

    @JsonProperty("connector")
    public String connector;

    @JsonProperty("name")
    public String name;

    @JsonProperty("ts_ms")
    public Long tsMs;

    @JsonProperty("snapshot")
    public String snapshot;

    @JsonProperty("db")
    public String db;

    @JsonProperty("sequence")
    public Object sequence;

    @JsonProperty("schema")
    public String schema;

    @JsonProperty("table")
    public String table;

    @JsonProperty("txId")
    public String txId;

    @JsonProperty("scn")
    public String scn;

    @JsonProperty("commit_scn")
    public String commitScn;

    @JsonProperty("lcr_position")
    public Object lcrPosition;

    @JsonProperty("rs_id")
    public Object rsId;

    @JsonProperty("ssn")
    public Integer ssn;

    @JsonProperty("redo_thread")
    public Integer redoThread;

    @JsonProperty("user_name")
    public String userName;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getConnector() {
        return connector;
    }

    public void setConnector(String connector) {
        this.connector = connector;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getTsMs() {
        return tsMs;
    }

    public void setTsMs(Long tsMs) {
        this.tsMs = tsMs;
    }

    public String getSnapshot() {
        return snapshot;
    }

    public void setSnapshot(String snapshot) {
        this.snapshot = snapshot;
    }

    public String getDb() {
        return db;
    }

    public void setDb(String db) {
        this.db = db;
    }

    public Object getSequence() {
        return sequence;
    }

    public void setSequence(Object sequence) {
        this.sequence = sequence;
    }

    public String getSchema() {
        return schema;
    }

    public void setSchema(String schema) {
        this.schema = schema;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public String getTxId() {
        return txId;
    }

    public void setTxId(String txId) {
        this.txId = txId;
    }

    public String getScn() {
        return scn;
    }

    public void setScn(String scn) {
        this.scn = scn;
    }

    public String getCommitScn() {
        return commitScn;
    }

    public void setCommitScn(String commitScn) {
        this.commitScn = commitScn;
    }

    public Object getLcrPosition() {
        return lcrPosition;
    }

    public void setLcrPosition(Object lcrPosition) {
        this.lcrPosition = lcrPosition;
    }

    public Object getRsId() {
        return rsId;
    }

    public void setRsId(Object rsId) {
        this.rsId = rsId;
    }

    public Integer getSsn() {
        return ssn;
    }

    public void setSsn(Integer ssn) {
        this.ssn = ssn;
    }

    public Integer getRedoThread() {
        return redoThread;
    }

    public void setRedoThread(Integer redoThread) {
        this.redoThread = redoThread;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Source() {
    }

    public Source(String version, String connector, String name, Long tsMs, String snapshot, String db, Object sequence, String schema, String table, String txId, String scn, String commitScn, Object lcrPosition, Object rsId, Integer ssn, Integer redoThread, String userName) {
        this.version = version;
        this.connector = connector;
        this.name = name;
        this.tsMs = tsMs;
        this.snapshot = snapshot;
        this.db = db;
        this.sequence = sequence;
        this.schema = schema;
        this.table = table;
        this.txId = txId;
        this.scn = scn;
        this.commitScn = commitScn;
        this.lcrPosition = lcrPosition;
        this.rsId = rsId;
        this.ssn = ssn;
        this.redoThread = redoThread;
        this.userName = userName;
    }
}
