package com.myapps.kafka.model.uno;

import com.fasterxml.jackson.annotation.JsonProperty;

public class Transaccion {
    private Movimiento before;
    private Movimiento after;
    private Source source;
    private String op;
    @JsonProperty("ts_ms")
    private long tsMs;
    private String transaction;

    public Movimiento getBefore() {
        return before;
    }

    public void setBefore(Movimiento before) {
        this.before = before;
    }

    public Movimiento getAfter() {
        return after;
    }

    public void setAfter(Movimiento movimiento) {
        this.after = movimiento;
    }

    public Source getSource() {
        return source;
    }

    public void setSource(Source source) {
        this.source = source;
    }

    public String getOp() {
        return op;
    }

    public void setOp(String op) {
        this.op = op;
    }

    public long getTsMs() {
        return tsMs;
    }

    public void setTsMs(long tsMs) {
        this.tsMs = tsMs;
    }

    public String getTransaction() {
        return transaction;
    }

    public void setTransaction(String transaction) {
        this.transaction = transaction;
    }

    public Transaccion() {
    }

    public Transaccion(Movimiento before, Movimiento after, Source source, String op, long tsMs, String transaction) {
        this.before = before;
        this.after = after;
        this.source = source;
        this.op = op;
        this.tsMs = tsMs;
        this.transaction = transaction;
    }
}

