package com.myapps.kafka.model.dos;

import com.fasterxml.jackson.annotation.JsonProperty;

public class DebeziumSource {
    @JsonProperty("version")
    private String version;

    @JsonProperty("connector")
    private String connector;

    @JsonProperty("name")
    private String name;

    @JsonProperty("ts_ms")
    private Long timestamp;

    @JsonProperty("snapshot")
    private String snapshot;

    @JsonProperty("db")
    private String database;

    @JsonProperty("schema")
    private String schema;

    @JsonProperty("table")
    private String table;

    @JsonProperty("txId")
    private String transactionId;

    @JsonProperty("scn")
    private String scn;

    @JsonProperty("commit_scn")
    private String commitScn;

    @JsonProperty("user_name")
    private String userName;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getConnector() {
        return connector;
    }

    public void setConnector(String connector) {
        this.connector = connector;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    public String getSnapshot() {
        return snapshot;
    }

    public void setSnapshot(String snapshot) {
        this.snapshot = snapshot;
    }

    public String getDatabase() {
        return database;
    }

    public void setDatabase(String database) {
        this.database = database;
    }

    public String getSchema() {
        return schema;
    }

    public void setSchema(String schema) {
        this.schema = schema;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getScn() {
        return scn;
    }

    public void setScn(String scn) {
        this.scn = scn;
    }

    public String getCommitScn() {
        return commitScn;
    }

    public void setCommitScn(String commitScn) {
        this.commitScn = commitScn;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }


    public DebeziumSource() {
    }

    public DebeziumSource(String version, String connector, String name, Long timestamp, String snapshot, String database, String schema, String table, String transactionId, String scn, String commitScn, String userName) {
        this.version = version;
        this.connector = connector;
        this.name = name;
        this.timestamp = timestamp;
        this.snapshot = snapshot;
        this.database = database;
        this.schema = schema;
        this.table = table;
        this.transactionId = transactionId;
        this.scn = scn;
        this.commitScn = commitScn;
        this.userName = userName;
    }
}

