package com.myapps.kafka.model.tres;

import com.fasterxml.jackson.annotation.JsonProperty;

public class AuditEvent {
    @JsonProperty("before")
    public AuditData before;

    @JsonProperty("after")
    public AuditData after;

    @JsonProperty("source")
    public Source source;

    @JsonProperty("op")
    public String op;

    @JsonProperty("ts_ms")
    public Long tsMs;

    @JsonProperty("transaction")
    public Object transaction;


    public AuditData getBefore() {
        return before;
    }

    public void setBefore(AuditData before) {
        this.before = before;
    }

    public AuditData getAfter() {
        return after;
    }

    public void setAfter(AuditData after) {
        this.after = after;
    }

    public Source getSource() {
        return source;
    }

    public void setSource(Source source) {
        this.source = source;
    }

    public String getOp() {
        return op;
    }

    public void setOp(String op) {
        this.op = op;
    }

    public Long getTsMs() {
        return tsMs;
    }

    public void setTsMs(Long tsMs) {
        this.tsMs = tsMs;
    }

    public Object getTransaction() {
        return transaction;
    }

    public void setTransaction(Object transaction) {
        this.transaction = transaction;
    }

    public AuditEvent() {
    }

    public AuditEvent(AuditData before, AuditData after, Source source, String op, Long tsMs, Object transaction) {
        this.before = before;
        this.after = after;
        this.source = source;
        this.op = op;
        this.tsMs = tsMs;
        this.transaction = transaction;
    }
}
