package com.myapps.kafka.model.uno;

import com.fasterxml.jackson.annotation.JsonProperty;

public  class Source {
    private String version;
    private String connector;
    private String name;
    @JsonProperty("ts_ms")
    private long tsMs;
    private String snapshot;
    private String db;
    private String sequence;
    private String schema;
    private String table;
    private String txId;
    private String scn;
    @JsonProperty("commit_scn")
    private String commitScn;
    @JsonProperty("lcr_position")
    private String lcrPosition;
    @JsonProperty("rs_id")
    private String rsId;
    private int ssn;
    @JsonProperty("redo_thread")
    private String redoThread;
    @JsonProperty("user_name")
    private String userName;


    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getConnector() {
        return connector;
    }

    public void setConnector(String connector) {
        this.connector = connector;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getTsMs() {
        return tsMs;
    }

    public void setTsMs(long tsMs) {
        this.tsMs = tsMs;
    }

    public String getSnapshot() {
        return snapshot;
    }

    public void setSnapshot(String snapshot) {
        this.snapshot = snapshot;
    }

    public String getDb() {
        return db;
    }

    public void setDb(String db) {
        this.db = db;
    }

    public String getSequence() {
        return sequence;
    }

    public void setSequence(String sequence) {
        this.sequence = sequence;
    }

    public String getSchema() {
        return schema;
    }

    public void setSchema(String schema) {
        this.schema = schema;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public String getTxId() {
        return txId;
    }

    public void setTxId(String txId) {
        this.txId = txId;
    }

    public String getScn() {
        return scn;
    }

    public void setScn(String scn) {
        this.scn = scn;
    }

    public String getCommitScn() {
        return commitScn;
    }

    public void setCommitScn(String commitScn) {
        this.commitScn = commitScn;
    }

    public String getLcrPosition() {
        return lcrPosition;
    }

    public void setLcrPosition(String lcrPosition) {
        this.lcrPosition = lcrPosition;
    }

    public String getRsId() {
        return rsId;
    }

    public void setRsId(String rsId) {
        this.rsId = rsId;
    }

    public int getSsn() {
        return ssn;
    }

    public void setSsn(int ssn) {
        this.ssn = ssn;
    }

    public String getRedoThread() {
        return redoThread;
    }

    public void setRedoThread(String redoThread) {
        this.redoThread = redoThread;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Source() {
    }

    public Source(String version, String connector, String name, long tsMs, String snapshot, String db, String sequence, String schema, String table, String txId, String scn, String commitScn, String lcrPosition, String rsId, int ssn, String redoThread, String userName) {
        this.version = version;
        this.connector = connector;
        this.name = name;
        this.tsMs = tsMs;
        this.snapshot = snapshot;
        this.db = db;
        this.sequence = sequence;
        this.schema = schema;
        this.table = table;
        this.txId = txId;
        this.scn = scn;
        this.commitScn = commitScn;
        this.lcrPosition = lcrPosition;
        this.rsId = rsId;
        this.ssn = ssn;
        this.redoThread = redoThread;
        this.userName = userName;
    }
}
